> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Log Detail View



## OpenAPI

````yaml /api-reference/services_docs_mintlify/ddos_protection_api.yaml get /security/notifier/v1/event_logs/{event_log_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 449b3046310c
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: BGP announces
  - name: Event Logs
  - name: Profiles
  - name: Protected Networks
  - name: Protection Profiles
  - name: Protection Templates
  - name: Templates
paths:
  /security/notifier/v1/event_logs/{event_log_id}:
    get:
      tags:
        - Event Logs
      summary: Event Log Detail View
      operationId: event_log_detail_view_api_v1_event_logs__event_log_id__get
      parameters:
        - name: event_log_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Event Log Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventLogDetailOutSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EventLogDetailOutSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        alert_type:
          anyOf:
            - $ref: '#/components/schemas/AlertType'
            - type: 'null'
        client_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Client Id
        notification_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Notification Type
        attack_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Attack Start Time
        attack_power_bps:
          anyOf:
            - type: number
            - type: 'null'
          title: Attack Power Bps
        attack_power_pps:
          anyOf:
            - type: number
            - type: 'null'
          title: Attack Power Pps
        number_of_ip_involved_in_attack:
          anyOf:
            - type: integer
            - type: 'null'
          title: Number Of Ip Involved In Attack
        targeted_ip_addresses:
          anyOf:
            - type: string
            - type: 'null'
          title: Targeted Ip Addresses
        attack_traffic:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Traffic
        attack_packet_sizes:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Packet Sizes
        attack_top_source_countries:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Top Source Countries
        attack_top_source_ips:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Top Source Ips
        attack_top_source_ports:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Top Source Ports
        attack_top_destination_ports:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Top Destination Ports
        attack_top_protocols:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attack Top Protocols
      type: object
      required:
        - id
      title: EventLogDetailOutSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AlertType:
      type: string
      enum:
        - ddos_alert
        - rtbh_alert
      title: AlertType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````